%define name     zynaddsubfx1
%define pkg_name ZynAddSubFX
%define version  1.4.3
%define doc_ver  1.4.3
%define release  1%{?dist}

Summary:      Realtime software synthesizer
Name:         %{name}
Version:      %{version}
Release:      %{release}
License:      GPL
Group:        Applications/Multimedia
URL:          http://zynaddsubfx.sourceforge.net
Source0:      %{pkg_name}-%{version}.tar.gz
Source1:      %{pkg_name}-doc-%{doc_ver}.tar.gz
Patch0:       zynaddsubfx-jack.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-buildroot
Requires:     fltk >= 1.1.3
Requires:     jack-audio-connection-kit >= 0.66.3

BuildRequires: gcc-c++ pkgconfig alsa-lib-devel fftw-devel fltk-devel
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: xorg-x11-proto-devel

%description
ZynAddSubFX is a opensource software synthesizer capable of making a
countless number of instruments, from some common heared from
expensive hardware to interesting sounds that you'll boost to an
amazing universe of sounds.

%package doc
Summary:	Documentation and examples for %{pkg_name}
Group:		Applications/Multimedia
Requires:	%{name} = %{version}

%description doc
Documentation and examples for %{pkg_name}

%prep
%setup -q -n %{pkg_name}-%{version}
%patch0 -p1
cd $RPM_BUILD_DIR/%{pkg_name}-%{version}
tar xzf %{SOURCE1}

%build
cd $RPM_BUILD_DIR/%{pkg_name}-%{version}/src
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}

cd $RPM_BUILD_DIR/%{pkg_name}-%{version}
tar cvf - examples | (cd $RPM_BUILD_ROOT%{_datadir}/%{name}; tar xvpf -)
cd src
install -m 0755 zynaddsubfx $RPM_BUILD_ROOT%{_bindir}/%{name}

#--- desktop entry
cat << EOF > startcom-%{name}.desktop
[Desktop Entry]
Name=ZynAddSubFX %{version}
Comment=Realtime software syntheziser (old version)
Icon=
Exec=%{_bindir}/%{name}
Terminal=false
Type=Application
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor startcom \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications    \
    --add-category X-StartCom-Base                 \
    --add-category Application                    \
    --add-category AudioVideo                     \
    startcom-%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING FAQ.txt HISTORY.txt README.txt 
%{_bindir}/%{name}
%{_datadir}/%{name}/examples
%exclude %{_datadir}/applications/startcom-%{name}.desktop

%files doc
%defattr(-,root,root,-)
%doc %{pkg_name}-doc-%{doc_ver}/images 
%doc %{pkg_name}-doc-%{doc_ver}/*.ogg
%doc %{pkg_name}-doc-%{doc_ver}/*.html

%changelog
* Fri May 05 2006 Eddy Nigg <eddy_nigg@startcom.org>
- rebuild for StartCom Linux ML-5.0.5

* Fri Aug  6 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.4.3-1
- last 1.x version, make backwards compatibility packages with *1
  name, eliminate desktop menu entry (and leave only the new one there)
* Sat Nov  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.4.3-1
- spec file tweaks
* Mon Sep  1 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.4.3-1
- updated to 1.4.3, added release tag
* Fri Jul 25 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.4.2-1
- updated to 1.4.2
* Thu May  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.4.1-1
- updated to 1.4.1 (docs are still 1.4.0)
* Tue May  6 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.4.0-1
- updated to 1.4.0
* Tue Apr  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.2.1-2
- rebuilt for newer version of fftw
* Tue Apr  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.2.1-1
- udpated to 1.2.1
* Wed Apr  2 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.2.0-2
- rebuild for jack 0.66.3, added explicit requires for it
* Fri Mar 21 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.2.0-1
- updated to 1.2.0
* Thu Mar  6 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.9-2
- rebuilt due to changed fltk (from 1.1.0rc3 to 1.1.3)
- commented out deprecated jack_set_buffer_size_callback() call
* Mon Feb 24 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.9-1
- updated to 1.0.9
* Fri Feb 14 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.8-1
- updated to 1.0.8
* Fri Feb  6 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.7-1
- updated to 1.0.7
* Sun Jan 26 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.5-1
- Initial build.
